IOSS 2.0

Classes | Namespaces | Functions | Variables
struc_to_unstruc.C File Reference
`#include <Ionit_Initializer.h>`
`#include <Ioss_CodeTypes.h>`
`#include <Ioss_FileInfo.h>`
`#include <Ioss_Hex8.h>`
`#include <Ioss_ParallelUtils.h>`
`#include <Ioss_SubSystem.h>`
`#include <Ioss_SurfaceSplit.h>`
`#include <Ioss_Utils.h>`
`#include <cgns/Iocgns_StructuredZoneData.h>`
`#include <cgns/Iocgns_Utils.h>`
`#include <fmt/ostream.h>`
`#include <algorithm>`
`#include <cassert>`
`#include <cstring>`
`#include <fstream>`
`#include <iomanip>`
`#include <iostream>`
`#include <numeric>`
`#include <string>`
`#include <unistd.h>`
`#include <vector>`
Include dependency graph for struc_to_unstruc.C:

## Classes
struct | anonymous_namespace{struc_to_unstruc.C}::my_numpunct

## Namespaces
| anonymous_namespace{struc_to_unstruc.C}

## Functions
void | anonymous_namespace{struc_to_unstruc.C}::show_step (int istep, double time)
void | anonymous_namespace{struc_to_unstruc.C}::transfer_nodal (const Ioss::Region &region, Ioss::Region &output_region)
void | anonymous_namespace{struc_to_unstruc.C}::transfer_connectivity (Ioss::Region &region, Ioss::Region &output_region)
void | anonymous_namespace{struc_to_unstruc.C}::output_sidesets (Ioss::Region &region, Ioss::Region &output_region)
void | anonymous_namespace{struc_to_unstruc.C}::transfer_nodeblock (Ioss::Region &region, Ioss::Region &output_region)
void | anonymous_namespace{struc_to_unstruc.C}::transfer_elementblocks (Ioss::Region &region, Ioss::Region &output_region)
void | anonymous_namespace{struc_to_unstruc.C}::transfer_sidesets (Ioss::Region &region, Ioss::Region &output_region)
void | anonymous_namespace{struc_to_unstruc.C}::create_unstructured (const std::string &inpfile, const std::string &outfile)
void | anonymous_namespace{struc_to_unstruc.C}::transfer_sb_fields (const Ioss::Region &region, Ioss::Region &output_region, Ioss::Field::RoleType role)
template<typename T >
void | anonymous_namespace{struc_to_unstruc.C}::transfer_fields (const std::vector< T * > &entities, Ioss::Region &output_region, Ioss::Field::RoleType role)
void | anonymous_namespace{struc_to_unstruc.C}::transfer_fields (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role)
void | anonymous_namespace{struc_to_unstruc.C}::transfer_sb_field_data (const Ioss::Region &region, Ioss::Region &output_region, Ioss::Field::RoleType role)
void | anonymous_namespace{struc_to_unstruc.C}::transfer_coord (std::vector< double > &to, std::vector< double > &from, std::vector< size_t > &node_id_list)
int | main (int argc, char *argv[])

## Variables
int | anonymous_namespace{struc_to_unstruc.C}::rank = 0
std::string | anonymous_namespace{struc_to_unstruc.C}::codename
std::string | anonymous_namespace{struc_to_unstruc.C}::version = "4.7"

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |